Img = imread('Lena.bmp');
ImgInfo = imfinfo('Lena.bmp');
if (~isa(Img,'double'))
    Img = double(Img);
end
seed = 60;
% figure, imshow(uint8(Img));
embeded_Img = zeros(size(Img));
[embeded_Img] = Water_Patch_first(Img,seed);